// @ts-nocheck: Disable checking
// deno-lint-ignore-file
export interface URLPatternInit {
	baseURL?: string;
	username?: string;
	password?: string;
	protocol?: string;
	hostname?: string;
	port?: string;
	pathname?: string;
	search?: string;
	hash?: string;
}

export type URLPatternKeys = keyof URLPatternInit;

export interface URLPatternResult {
	inputs: [URLPatternInit | string];
	protocol: URLPatternComponentResult;
	username: URLPatternComponentResult;
	password: URLPatternComponentResult;
	hostname: URLPatternComponentResult;
	port: URLPatternComponentResult;
	pathname: URLPatternComponentResult;
	search: URLPatternComponentResult;
	hash: URLPatternComponentResult;
}

export interface URLPatternComponentResult {
	input: string;
	groups: { [key: string]: string };
}
